# Generated by Django 2.1 on 2018-09-13 12:08

import datetime
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Status',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='unknown', max_length=20)),
                ('timestamp', models.DateTimeField(blank=True, default=datetime.datetime.now, verbose_name='Timestamp of creation in the database.')),
            ],
        ),
        migrations.CreateModel(
            name='TaskObject',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='unknown', max_length=100)),
                ('task_type', models.CharField(default='dataproduct', max_length=20)),
                ('taskID', models.CharField(blank=True, max_length=30, null=True, verbose_name='runId')),
                ('creationTime', models.DateTimeField(blank=True, default=datetime.datetime.now)),
                ('new_status', models.CharField(default='defined', max_length=20, null=True)),
                ('data_location', models.CharField(default='unknown', max_length=255, null=True)),
                ('irods_collection', models.CharField(default='unknown', max_length=255, null=True)),
                ('my_status', models.CharField(default='defined', max_length=20)),
                ('node', models.CharField(max_length=10, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='DataProduct',
            fields=[
                ('taskobject_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='taskdatabase.TaskObject')),
                ('filename', models.CharField(default='unknown', max_length=200)),
                ('description', models.CharField(default='unknown', max_length=255)),
                ('dataproduct_type', models.CharField(default='visibility', max_length=50, verbose_name='type')),
                ('size', models.BigIntegerField(default=0)),
                ('quality', models.CharField(default='unknown', max_length=30)),
            ],
            bases=('taskdatabase.taskobject',),
        ),
        migrations.CreateModel(
            name='Observation',
            fields=[
                ('taskobject_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='taskdatabase.TaskObject')),
                ('starttime', models.DateTimeField(null=True, verbose_name='start time')),
                ('endtime', models.DateTimeField(null=True, verbose_name='end time')),
                ('beamPattern', models.CharField(max_length=50, null=True)),
                ('process_type', models.CharField(default='observation', max_length=50)),
                ('field_name', models.CharField(max_length=50, null=True)),
                ('field_ra', models.FloatField(null=True, verbose_name='field_ra')),
                ('field_dec', models.FloatField(null=True, verbose_name='field_dec')),
                ('field_beam', models.IntegerField(default=0, verbose_name='field_beam')),
                ('integration_factor', models.FloatField(null=True, verbose_name='integration_factor')),
                ('central_frequency', models.FloatField(null=True, verbose_name='central_frequency')),
                ('control_parameters', models.CharField(default='unknown', max_length=255, null=True)),
            ],
            bases=('taskdatabase.taskobject',),
        ),
        migrations.AddField(
            model_name='status',
            name='taskObject',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='status_history', to='taskdatabase.TaskObject'),
        ),
        migrations.AddField(
            model_name='dataproduct',
            name='parent',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='generated_dataproducts', to='taskdatabase.Observation'),
        ),
    ]
